Bug 617266 - Build and ship fpack/funpack
Summary: Build and ship fpack/funpack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cfitsio
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthew Truch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-22 15:57 UTC by Orion Poplawski
Modified: 2010-09-09 01:26 UTC (History)
2 users (show)

Fixed In Version: cfitsio-3.240-4.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-25 16:17:19 UTC


Attachments (Terms of Use)
Patch to add fpack package (2.43 KB, patch)
2010-07-22 15:57 UTC, Orion Poplawski
no flags Details | Diff

Description Orion Poplawski 2010-07-22 15:57:59 UTC
Created attachment 433743 [details]
Patch to add fpack package

Description of problem:

The cfitsio library comes with the fpack and funpack command line compression utils.  Please build and ship them.  I've attached a patch to the current devel spec that adds a fpack package.  Would be nice to get this into F12/13.

BTW - Any reason why the EL-5 package couldn't be updated to 3.25?

Comment 1 Orion Poplawski 2010-07-22 18:24:59 UTC
(In reply to comment #0)
> BTW - Any reason why the EL-5 package couldn't be updated to 3.25?    

I had the folks at linuxtesting.org add cfitsio to their testing.  Looks like tons of compatibility issues between 3.030 and 3.250, so that's a no go.

http://linuxtesting.org/upstream-tracker/versions/cfitsio.html

Comment 2 Matthew Truch 2010-07-22 18:33:06 UTC
(In reply to comment #1)
> (In reply to comment #0)
> > BTW - Any reason why the EL-5 package couldn't be updated to 3.25?    
> 
> I had the folks at linuxtesting.org add cfitsio to their testing.  Looks like
> tons of compatibility issues between 3.030 and 3.250, so that's a no go.
> 
> http://linuxtesting.org/upstream-tracker/versions/cfitsio.html    

That's why I don't like to upgrade versions within EL branches unless absolutely necessary.  

As for fpack and funpack, sure.  Have you tested the resultant rpm (from the spec your patch generates) and verified that it runs?

Comment 3 Orion Poplawski 2010-07-22 22:51:04 UTC
Yup, works fine.

Comment 4 Matthew Truch 2010-07-25 16:17:19 UTC
Done in rawhide.  Packages building for F12 and F13, which I'll push to updates-testing later today.  Please test if you have the time.

Comment 5 Fedora Update System 2010-07-25 16:58:48 UTC
cfitsio-3.240-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cfitsio-3.240-5.fc13

Comment 6 Fedora Update System 2010-07-25 16:59:41 UTC
cfitsio-3.240-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/cfitsio-3.240-3.fc12

Comment 7 Orion Poplawski 2010-08-11 21:49:47 UTC
One issue.  fpack probably should have:

Requires: %{name} = %{version}-%{release}

since upstream does not use sonames.

Comment 8 Fedora Update System 2010-08-31 19:47:56 UTC
cfitsio-3.240-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/cfitsio-3.240-6.fc13

Comment 9 Fedora Update System 2010-08-31 19:50:21 UTC
cfitsio-3.240-4.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/cfitsio-3.240-4.fc12

Comment 10 Fedora Update System 2010-09-09 01:21:52 UTC
cfitsio-3.240-6.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2010-09-09 01:26:02 UTC
cfitsio-3.240-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.